% Intervalles d'clairemet satellite

% ***************** Caractristiques de l'orbite du satellite **********************

altitude_orbite=817;		% altitude satellite en km
rayon_orbital=(6378+altitude_orbite)*1000;
vitesse_rotation=sqrt(39.86e13/rayon_orbital^3); % pulsation orbitale en rd/s
inclinaison=98.7*pi/180;
periode_orbitale=2*pi/vitesse_rotation;

% **********************************************************************************

Y=[];temps=[];

for t=0:10:periode_orbitale

  u=[21.5 0 t];

  yyy=eclipse(u);

  temps=[temps t];

  Y=[Y yyy];
  

end

plot(temps,Y);

end