function y=puissanc(u);

global H jour omega_spin periode_orbitale inclinaison rayon_orbital vitesse_rotation Pmax inc_pan

% Programme de calcul et de visualisation des nergies
% reues sur orbite normale et sur la mme orbite en mode survie

% jour est le numro du jour de l'anne civile 

%  u est la variable d'entre, c'est  dire le temps, not tps en secondes

tps=u;

% **************  TOUS LES CALCULS SE FONT DANS LE REPERE XnYnZn LIE AU NOEUD ASVCENDANT ****************


% ************************* UNITAIRE DU SOLEIL ****************************
% Unitaire soleil

teta=15*(12-H)*pi/180;                                      % Longitude nodale du soleil ( / Xn ), en radians

delta=23.45*pi/180*sin(2*pi/365*(284+jour));                % Dclinaison en radians? FORMULE DE FLETCHER


Us=[cos(delta)*cos(teta) cos(delta)*sin(teta) sin(delta)];  % Vecteur ligne unitaire soleil, dans XnYnZn

% ***********************************************************************

% ------------  Calcul de la normale aux panneaux en spin dans XnYnZn  --------------

     angle=omega_spin*tps;
                              % inclinaison antenne sur Y en radian
     % ----- Calcul NP_spin -----

     NP_spin(1)=sin(inc_pan)*cos(omega_spin*tps);
     NP_spin(2)=-cos(inc_pan)*sin(inclinaison)+sin(inc_pan)*sin(omega_spin*tps)*cos(inclinaison);
     NP_spin(3)=cos(inc_pan)*cos(inclinaison)+sin(inc_pan)*sin(omega_spin*tps)*sin(inclinaison);
     
%-------- 

% ------------  Calcul de la puissance en mode survir (Spin autour de Y )  --------------

     Psurvie=Pmax*Us*NP_spin';                   % Puissance des panneaux au temps t
     KS=0;
     if Psurvie<=0
       Psurvie=0;
       KS=1;
     end

 KS=KS*eclipse(tps);


% ------------  Calcul de la puissance en fonctionnement normal  --------------

% ----- Calcul NP normal quivalent  un spin  la vitesse angulaire orbitale-----  

     
     NP_normal(1)=sin(inc_pan)*cos(vitesse_rotation*tps);
     NP_normal(2)=-cos(inc_pan)*sin(inclinaison)+sin(inc_pan)*sin(vitesse_rotation*tps)*cos(inclinaison);
     NP_normal(3)=cos(inc_pan)*cos(inclinaison)+sin(inc_pan)*sin(vitesse_rotation*tps)*sin(inclinaison);
%-------- 

     Pnormale=Pmax*Us*NP_normal';
     
  KN=0;
  if Pnormale<=0
       Pnormale=0;
       KN=1;
  end

 KN=KN*eclipse(tps);

              
                       
y=[Psurvie Pnormale KS KN];



end




end                              